+ Post New Thread
Page 3 of 467 FirstFirst 1 2 3 4 5 13 53 103 ... LastLast
Threads 51 to 75 of 11675

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 24,955
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 41,745
    18th Sep 2006 10:46 pm Go to last post
  1. Updating Block Attributes from an Excel Database

    Hello Community After many hours looking for a solution to my 'problem' I have been forced to sign up to a website in which there are far more skilled people than I in their programming skills. My...

    Started by Newby Bern‎, 15th Apr 2014 10:35 am
    4 Pages
    1 2 3 ... 4
    • Replies: 33
    • Views: 621
    17th Apr 2014 01:05 pm Go to last post
  2. Problem in IF function

    Hi all,can anyone clarify what's the problem in this code and how can I fix it. (setq lnam (getstring"\nEnter lay name:")) (if ( = lnam t) (setvar "clayer" lnam)) (if ( = lnam nil) ...

    Started by mostafa badran‎, 16th Apr 2014 11:17 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 180
    17th Apr 2014 12:45 pm Go to last post
  3. Compute Volume

    Hello everyone! I am hoping to get some help in solving a volume problem. I have a polyline representing the bottom of a dirt pile. I know the volume that I am trying to achieve. I know the...

    Started by Hippe013‎, 16th Apr 2014 10:29 pm
    • Replies: 4
    • Views: 135
    17th Apr 2014 04:56 am Go to last post
  4. Question Extents or Printable Area Screwed Up??

    I don't know if this requires a lisp or a script solution.. I regularly work on multi-tabbed drawings. I often encounter situations where on a tab, the extents are much smaller than the title...

    Started by ILoveMadoka‎, 16th Apr 2014 04:39 pm
    • Replies: 6
    • Views: 146
    16th Apr 2014 06:59 pm Go to last post
  5. projection views draw

    Hi I had drawn projection views by manual methods. I have lot of isometric drawings; from that dwgs I need to draw 1st angle and 3rd angle views. Anybody knows how I can I rotate the isometric...

    Started by cadamrao‎, 16th Apr 2014 12:13 pm
    • Replies: 0
    • Views: 100
    16th Apr 2014 12:13 pm Go to last post
  6. Leveling the Cross Section

    Hi all, I have 300 cross section. I have to put the Existing Level and Post Level Therein. I'm attaching the image of it.. The formula to put the Levels are : ---- (Dimension +or-...

    Started by souvik‎, 16th Apr 2014 11:48 am
    • Replies: 0
    • Views: 91
    16th Apr 2014 11:48 am Go to last post
  7. Embarrassed Specify Path of Linetype

    Hi, i want load my linetypes from topo.lin file. Here is my code. (DEFUN C:fen (/ A1 KLIM PER S1 S2 SCL) (COMMAND "_layer" "_m" "fen" "_c" "140" "" "_LT" "" "C:\\topocad\\topo.lin\\fen"...

    Started by prodromosm‎, 14th Apr 2014 10:30 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 205
    16th Apr 2014 10:39 am Go to last post
  8. ssGet function

    Hello! If you want to select a particular type of object on a specified position, ssGet function fails when multiple objects are overlapped in that place. (setq ss (ssGet '(0 0) '((0 ....

    Started by Costinbos77‎, 16th Apr 2014 06:54 am
    • Replies: 7
    • Views: 135
    16th Apr 2014 09:33 am Go to last post
  9. Dimension along a curvy polyline

    Hi Is there and routines that would put a dimension along a curvy line? I dont need the actual dimension on, just the lines following the curve with the arrows and the perp lines coming out at...

    Started by bigmaz‎, 17th May 2012 11:58 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,314
    16th Apr 2014 08:41 am Go to last post
  10. Question Auto dimesioning polyline

    Hello all. I am looking (for quite a while now) for a way to automatically dimension (aligned dimensioning) a polyline. Unfotunately i can not find any way or any LISP tool to do this for me. Is...

    Started by VaKaDi‎, 30th Sep 2008 08:44 pm
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 22,877
    16th Apr 2014 08:08 am Go to last post
  11. Question Move objects radially from(to) center

    Hi all I have many assemblies modeled, with the drawings done. Now, I got a revision which requires me to change the tube diameter, but I have to "move radially" the reinforcement plates as well....

    Started by p0peye‎, 15th Apr 2014 01:09 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 337
    16th Apr 2014 07:33 am Go to last post
  12. Rotation in vertical plan [geometric formula]

    Since the analytical geometry is my weak spot (one of...) I would appreciate if someone may help me with the formula to rotate a point (P2) around another one (P1) in the vertical plan defined by...

    Started by MSasu‎, 9th Apr 2014 01:05 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 470
    15th Apr 2014 03:51 pm Go to last post
  13. Select items and create wiring

    :unsure: hi all. I don't know is this possible or not. I want lisp to make wiring like attachment when I Select some items make wire.

    Started by mostafa badran‎, 23rd Feb 2014 01:58 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 659
    15th Apr 2014 02:20 pm Go to last post
  14. Help me modify this lisp code, Thanks!

    Problem solved, thank concerns.

    Started by liuhaixin88‎, 15th Apr 2014 09:50 am
    • Replies: 0
    • Views: 122
    15th Apr 2014 09:50 am Go to last post
  15. Line connecting two points

    Hi everyone, What is the simplest way to find whether two points are connected in a drawing using Alisp. Thanking in advance. Aloy

    Started by aloy‎, 30th Mar 2014 09:36 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 455
    15th Apr 2014 07:26 am Go to last post
  16. Bhatch,use lisp,please help!

    Hello everyone´╝îI need some help. Use LISP to do this: 1. Specify four points. 2. use"bhatch" in this region.Scale can dynamic. 3. Remove the border. Thank for help me!

    Started by liuhaixin88‎, 10th Apr 2014 05:41 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 413
    14th Apr 2014 06:29 pm Go to last post
  17. Creating a txt file Problem

    Hi all , I am having a problem when I try to create txt file like attachment can anyone help. thanks. (defun c:test(/ ) (vl-load-com)

    Started by mostafa badran‎, 14th Apr 2014 08:56 am
    • Replies: 5
    • Views: 182
    14th Apr 2014 10:17 am Go to last post
  18. Your favorite lisp

    I thought it would be interesting to get a thread going about your favorite lisp. As I've been frequenting this forum, my list of lisps is ever-growing. I have some I think are excellent for what I...

    Started by Nobull84‎, 24th Mar 2014 08:18 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 1,350
    14th Apr 2014 06:02 am Go to last post
  19. LISP to Install Support Path and Custom Menu

    I found this LISP code on AfraLISP website. It looks like it could help solve some problems I'm having around here to automate the user setups. I tried it out and it does seem to work but with my...

    Started by Bill Tillman‎, 7th Apr 2014 08:26 pm
    • Replies: 6
    • Views: 289
    14th Apr 2014 12:55 am Go to last post
  20. Intersection Of Lines By Layers

    Hi Guys, My situation is i have a number of splines that are in different layers. I have intersected these lines with a number of lines in the '0' layer. I want to be able to extract the...

    Started by ssredman‎, 22nd Jan 2014 04:15 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 485
    13th Apr 2014 11:29 pm Go to last post
  21. Isolate by target type

    hi sometimes when i get drawing from others, i need to map all entities to proper layer, for example dimention are laying on different layers, you want them on one layer right?. Isolate is ...

    Started by samifox‎, 3rd Apr 2014 03:05 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 454
    13th Apr 2014 09:50 pm Go to last post
  22. Incremental Numbering Suite

    Hi Guys, Wasn't that busy, so I thought I'd put together a little Incremental Numbering Suite for you all to sample. I've come to realise that this kind of LISP seems to be quite a popular one...

    Started by Lee Mac‎, 12th Apr 2009 08:07 pm
    29 Pages
    1 2 3 ... 29
    • Replies: 282
    • Views: 42,314
    13th Apr 2014 07:33 pm Go to last post
  23. retrieve a keyword out of entsel

    hi i need to retrieve a keyword out of entsel, when i type the keyword i get error that say a point were expected how to do it right? (setq ent (car (entsel "\n Select the entity type you...

    Started by samifox‎, 6th Apr 2014 09:48 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 302
    13th Apr 2014 07:22 pm Go to last post
  24. Love Hide namesake block,and Cancel the hidden

    Thanks to everyone. I want use a command to hide namesake block ,and use a command to show it. Thank for help me!

    Started by liuhaixin88‎, 24th Mar 2014 04:14 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 547
    12th Apr 2014 07:29 pm Go to last post
  25. Shaft _chamfer help!

    Hey guys, This lisp have some defects, Below: And It's only support "Line" But I want support "Pline" . Thanks you all for what ever advice or help you can spare.

    Started by liuhaixin88‎, 10th Apr 2014 03:14 pm
    • Replies: 8
    • Views: 242
    12th Apr 2014 03:07 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts